<html>
<head>
<title>OgrePage.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_b4dabe1aeee1fabc669d37783945a897.html">Paging</a>      </li>
      <li class="navelem"><a class="el" href="dir_c90181f353a19ac84e93eaccff6d8392.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgrePage.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgrePage_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __Ogre_Page_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __Ogre_Page_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePagingPrerequisites_8h.html">OgrePagingPrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreWorkQueue_8h.html">OgreWorkQueue.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre
<a name="l00037"></a>00037 {
<a name="l00048"></a><a class="code" href="classOgre_1_1Page.html">00048</a>     <span class="keyword">class </span><a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>::RequestHandler, 
<a name="l00049"></a>00049         <span class="keyword">public</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>::ResponseHandler, <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">PageAlloc</a>
<a name="l00050"></a>00050     {
<a name="l00051"></a>00051     <span class="keyword">public</span>:
<a name="l00052"></a><a class="code" href="classOgre_1_1Page.html#a3d71c404efc53ee4188a1cc3da596d97">00052</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;PageContentCollection*&gt;::type</a> <a class="code" href="classOgre_1_1Page.html#a3d71c404efc53ee4188a1cc3da596d97">ContentCollectionList</a>;
<a name="l00053"></a>00053     <span class="keyword">protected</span>:
<a name="l00054"></a><a class="code" href="classOgre_1_1Page.html#a257c35af5540c4c9af9f2911e1d8db93">00054</a>         <a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> <a class="code" href="classOgre_1_1Page.html#a257c35af5540c4c9af9f2911e1d8db93">mID</a>;
<a name="l00055"></a><a class="code" href="classOgre_1_1Page.html#a8a1fc43114eca2b868dfd0d1fbdf7292">00055</a>         <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* <a class="code" href="classOgre_1_1Page.html#a8a1fc43114eca2b868dfd0d1fbdf7292">mParent</a>;
<a name="l00056"></a><a class="code" href="classOgre_1_1Page.html#ae8719facc929feab430feb2ed3f9fd84">00056</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classOgre_1_1Page.html#ae8719facc929feab430feb2ed3f9fd84">mFrameLastHeld</a>;
<a name="l00057"></a><a class="code" href="classOgre_1_1Page.html#a51d4f202f3283df6cfbe0085e3b7342e">00057</a>         <a class="code" href="classOgre_1_1Page.html#a3d71c404efc53ee4188a1cc3da596d97">ContentCollectionList</a> <a class="code" href="classOgre_1_1Page.html#a51d4f202f3283df6cfbe0085e3b7342e">mContentCollections</a>;
<a name="l00058"></a><a class="code" href="classOgre_1_1Page.html#aa0ad7ca737d07e2b01aa3b0cb2544b41">00058</a>         <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1Page.html#aa0ad7ca737d07e2b01aa3b0cb2544b41">mWorkQueueChannel</a>;
<a name="l00059"></a><a class="code" href="classOgre_1_1Page.html#a4a177cc5bb02fdb6d4ad9b4fed1ba614">00059</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Page.html#a4a177cc5bb02fdb6d4ad9b4fed1ba614">mDeferredProcessInProgress</a>;
<a name="l00060"></a><a class="code" href="classOgre_1_1Page.html#a23c7c28c738e2a8e71329f493d07c548">00060</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Page.html#a23c7c28c738e2a8e71329f493d07c548">mModified</a>;
<a name="l00061"></a>00061 
<a name="l00062"></a><a class="code" href="classOgre_1_1Page.html#a3eaa267072d89c45de897f7aea3d906d">00062</a>         <a class="code" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a>* <a class="code" href="classOgre_1_1Page.html#a3eaa267072d89c45de897f7aea3d906d">mDebugNode</a>;
<a name="l00063"></a>00063         <span class="keywordtype">void</span> updateDebugDisplay();
<a name="l00064"></a>00064 
<a name="l00065"></a><a class="code" href="structOgre_1_1Page_1_1PageData.html">00065</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1Page_1_1PageData.html">PageData</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">PageAlloc</a>
<a name="l00066"></a>00066         {
<a name="l00067"></a><a class="code" href="structOgre_1_1Page_1_1PageData.html#a0aa245089f630622395f3483c4fe40d3">00067</a>             <a class="code" href="classOgre_1_1Page.html#a3d71c404efc53ee4188a1cc3da596d97">ContentCollectionList</a> <a class="code" href="structOgre_1_1Page_1_1PageData.html#a0aa245089f630622395f3483c4fe40d3">collectionsToAdd</a>;
<a name="l00068"></a>00068         };
<a name="l00070"></a><a class="code" href="structOgre_1_1Page_1_1PageRequest.html">00070</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1Page_1_1PageRequest.html" title="Structure for holding background page requests.">PageRequest</a>
<a name="l00071"></a>00071         {
<a name="l00072"></a><a class="code" href="structOgre_1_1Page_1_1PageRequest.html#af7c3b8c8d28c6c4d88814f30ca82c2f9">00072</a>             <a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* <a class="code" href="structOgre_1_1Page_1_1PageRequest.html#af7c3b8c8d28c6c4d88814f30ca82c2f9">srcPage</a>;
<a name="l00073"></a><a class="code" href="structOgre_1_1Page_1_1PageRequest.html#a8614ff120ec700a144d1ac46c38e4aa6">00073</a>             <a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <span class="keyword">friend</span> std::ostream&amp; <a class="code" href="group__General.html#ga6d67d46d838de3b38264f17fb792cddc">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="structOgre_1_1Page_1_1PageRequest.html" title="Structure for holding background page requests.">PageRequest</a>&amp; r)
<a name="l00074"></a>00074             { <span class="keywordflow">return</span> o; }       
<a name="l00075"></a>00075 
<a name="l00076"></a><a class="code" href="structOgre_1_1Page_1_1PageRequest.html#abf54626675f3e80cb349ab6529d198c1">00076</a>             <a class="code" href="structOgre_1_1Page_1_1PageRequest.html#abf54626675f3e80cb349ab6529d198c1">PageRequest</a>(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* p): srcPage(p) {}
<a name="l00077"></a>00077         };
<a name="l00078"></a><a class="code" href="structOgre_1_1Page_1_1PageResponse.html">00078</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1Page_1_1PageResponse.html">PageResponse</a>
<a name="l00079"></a>00079         {
<a name="l00080"></a><a class="code" href="structOgre_1_1Page_1_1PageResponse.html#ae298d851c4b796bfa888ee80a41b9ba5">00080</a>             <a class="code" href="structOgre_1_1Page_1_1PageData.html">PageData</a>* <a class="code" href="structOgre_1_1Page_1_1PageResponse.html#ae298d851c4b796bfa888ee80a41b9ba5">pageData</a>;
<a name="l00081"></a>00081 
<a name="l00082"></a><a class="code" href="structOgre_1_1Page_1_1PageResponse.html#a632404d6cf7cbbfee0a9b8759e2d78ea">00082</a>             <a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <span class="keyword">friend</span> std::ostream&amp; <a class="code" href="group__General.html#ga6d67d46d838de3b38264f17fb792cddc">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="structOgre_1_1Page_1_1PageResponse.html">PageResponse</a>&amp; r)
<a name="l00083"></a>00083             { <span class="keywordflow">return</span> o; }       
<a name="l00084"></a>00084 
<a name="l00085"></a><a class="code" href="structOgre_1_1Page_1_1PageResponse.html#a00c0f62b2e15883610cde72c4fc2932f">00085</a>             <a class="code" href="structOgre_1_1Page_1_1PageResponse.html#a00c0f62b2e15883610cde72c4fc2932f">PageResponse</a>() : pageData(0) {}
<a name="l00086"></a>00086         };
<a name="l00087"></a>00087 
<a name="l00088"></a>00088 
<a name="l00089"></a>00089 
<a name="l00090"></a>00090         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> prepareImpl(PageData* dataToPopulate);
<a name="l00091"></a>00091         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> prepareImpl(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; str, PageData* dataToPopulate);
<a name="l00092"></a>00092         <span class="keyword">virtual</span> <span class="keywordtype">void</span> loadImpl();
<a name="l00093"></a>00093 
<a name="l00094"></a>00094         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> generateFilename() <span class="keyword">const</span>;
<a name="l00095"></a>00095 
<a name="l00096"></a>00096     <span class="keyword">public</span>:
<a name="l00097"></a><a class="code" href="classOgre_1_1Page.html#a9594f6e545716a40f3e1257c448169d0">00097</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="code" href="classOgre_1_1Page.html#a9594f6e545716a40f3e1257c448169d0">CHUNK_ID</a>;
<a name="l00098"></a><a class="code" href="classOgre_1_1Page.html#a5707ad53db103e123ff17a4837925c40">00098</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1Page.html#a5707ad53db103e123ff17a4837925c40">CHUNK_VERSION</a>;
<a name="l00099"></a>00099 
<a name="l00100"></a><a class="code" href="classOgre_1_1Page.html#a6bb0e50b1d6056d204dbd95f58cbdc45">00100</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="code" href="classOgre_1_1Page.html#a6bb0e50b1d6056d204dbd95f58cbdc45">CHUNK_CONTENTCOLLECTION_DECLARATION_ID</a>;
<a name="l00101"></a>00101 
<a name="l00102"></a>00102         <a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>(<a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> pageID, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* parent);
<a name="l00103"></a>00103         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>();
<a name="l00104"></a>00104 
<a name="l00105"></a>00105         <a class="code" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>* getManager() <span class="keyword">const</span>;
<a name="l00106"></a>00106         <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* getSceneManager() <span class="keyword">const</span>;
<a name="l00107"></a>00107 
<a name="l00109"></a><a class="code" href="classOgre_1_1Page.html#ace4135b95de9a8516cbdca0dcce677ed">00109</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Page.html#ace4135b95de9a8516cbdca0dcce677ed" title="If true, it&#39;s not safe to access this Page at this time, contents may be changing.">isDeferredProcessInProgress</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mDeferredProcessInProgress; }
<a name="l00110"></a>00110 
<a name="l00112"></a><a class="code" href="classOgre_1_1Page.html#ab8d5411d1d7e6f3939ba9244c0b6d109">00112</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> <a class="code" href="classOgre_1_1Page.html#ab8d5411d1d7e6f3939ba9244c0b6d109" title="Get the ID of this page, unique within the parent.">getID</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mID; }
<a name="l00114"></a><a class="code" href="classOgre_1_1Page.html#aaf21709e7174dde657c21206c9e86f35">00114</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* <a class="code" href="classOgre_1_1Page.html#aaf21709e7174dde657c21206c9e86f35" title="Get the PagedWorldSection this page belongs to.">getParentSection</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mParent; }
<a name="l00120"></a><a class="code" href="classOgre_1_1Page.html#a81b8b18cbc6706484eae5654421516e9">00120</a>         <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classOgre_1_1Page.html#a81b8b18cbc6706484eae5654421516e9" title="Get the frame number in which this Page was last loaded or held.">getFrameLastHeld</a>() { <span class="keywordflow">return</span> mFrameLastHeld; }
<a name="l00122"></a>00122         <span class="keyword">virtual</span> <span class="keywordtype">void</span> touch();
<a name="l00123"></a>00123 
<a name="l00127"></a>00127         <span class="keyword">virtual</span> <span class="keywordtype">void</span> load(<span class="keywordtype">bool</span> synchronous);
<a name="l00130"></a>00130         <span class="keyword">virtual</span> <span class="keywordtype">void</span> unload();
<a name="l00131"></a>00131 
<a name="l00132"></a>00132 
<a name="l00138"></a>00138         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isHeld() <span class="keyword">const</span>;
<a name="l00139"></a>00139 
<a name="l00141"></a>00141         <span class="keyword">virtual</span> <span class="keywordtype">void</span> save();
<a name="l00143"></a>00143         <span class="keyword">virtual</span> <span class="keywordtype">void</span> save(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename);
<a name="l00145"></a>00145         <span class="keyword">virtual</span> <span class="keywordtype">void</span> save(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; stream);
<a name="l00146"></a>00146 
<a name="l00148"></a>00148         <span class="keyword">virtual</span> <span class="keywordtype">void</span> frameStart(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeSinceLastFrame);
<a name="l00150"></a>00150         <span class="keyword">virtual</span> <span class="keywordtype">void</span> frameEnd(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed);
<a name="l00152"></a>00152         <span class="keyword">virtual</span> <span class="keywordtype">void</span> notifyCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00153"></a>00153 
<a name="l00159"></a>00159         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a>* createContentCollection(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName);
<a name="l00160"></a>00160 
<a name="l00165"></a>00165         <span class="keyword">virtual</span> <span class="keywordtype">void</span> destroyContentCollection(<a class="code" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a>* coll);
<a name="l00168"></a>00168         <span class="keyword">virtual</span> <span class="keywordtype">void</span> destroyAllContentCollections();
<a name="l00170"></a>00170         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> getContentCollectionCount() <span class="keyword">const</span>;
<a name="l00172"></a>00172         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a>* getContentCollection(<span class="keywordtype">size_t</span> index);
<a name="l00174"></a>00174         <span class="keyword">const</span> ContentCollectionList&amp; getContentCollectionList() <span class="keyword">const</span>;
<a name="l00175"></a>00175 
<a name="l00177"></a>00177         <span class="keywordtype">bool</span> canHandleRequest(<span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue_1_1Request.html" title="General purpose request structure.">WorkQueue::Request</a>* req, <span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>* srcQ);
<a name="l00179"></a>00179         <a class="code" href="structOgre_1_1WorkQueue_1_1Response.html" title="General purpose response structure.">WorkQueue::Response</a>* handleRequest(<span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue_1_1Request.html" title="General purpose request structure.">WorkQueue::Request</a>* req, <span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>* srcQ);
<a name="l00181"></a>00181         <span class="keywordtype">bool</span> canHandleResponse(<span class="keyword">const</span> <a class="code" href="structOgre_1_1WorkQueue_1_1Response.html" title="General purpose response structure.">WorkQueue::Response</a>* res, <span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>* srcQ);
<a name="l00183"></a>00183         <span class="keywordtype">void</span> handleResponse(<span class="keyword">const</span> <a class="code" href="structOgre_1_1WorkQueue_1_1Response.html" title="General purpose response structure.">WorkQueue::Response</a>* res, <span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>* srcQ);
<a name="l00184"></a>00184 
<a name="l00185"></a>00185 
<a name="l00187"></a><a class="code" href="classOgre_1_1Page.html#acd2cb9938bda9bd6b7bde31946d0139d">00187</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Page.html#acd2cb9938bda9bd6b7bde31946d0139d" title="Tell the page that it is modified.">_notifyModified</a>() { mModified = <span class="keyword">true</span>; }
<a name="l00188"></a><a class="code" href="classOgre_1_1Page.html#ae510497e1a0e6c660c0d0c5b0c4e6db1">00188</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Page.html#ae510497e1a0e6c660c0d0c5b0c4e6db1">isModified</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mModified; }
<a name="l00189"></a>00189 
<a name="l00190"></a><a class="code" href="classOgre_1_1Page.html#ae7e7f504d91ee1a9b15fe7ba509d0047">00190</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1Page.html#ae7e7f504d91ee1a9b15fe7ba509d0047">WORKQUEUE_PREPARE_REQUEST</a>;
<a name="l00191"></a><a class="code" href="classOgre_1_1Page.html#afea0d088cc4a9446d980b508cbbcfbdf">00191</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1Page.html#afea0d088cc4a9446d980b508cbbcfbdf">WORKQUEUE_CHANGECOLLECTION_REQUEST</a>;
<a name="l00192"></a>00192 
<a name="l00195"></a>00195         <a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <span class="keyword">friend</span> std::ostream&amp; <a class="code" href="group__General.html#ga6d67d46d838de3b38264f17fb792cddc">operator &lt;&lt;</a>( std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>&amp; p );
<a name="l00196"></a>00196 
<a name="l00197"></a>00197 
<a name="l00198"></a>00198 
<a name="l00199"></a>00199     };
<a name="l00200"></a>00200 
<a name="l00203"></a>00203 }
<a name="l00204"></a>00204 
<a name="l00205"></a>00205 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
